@echo off

set CRASHDIR=%HOMEDRIVE%%HOMEPATH%\Documents\Crashes
mkdir %CRASHDIR% 2>NUL


where procdump >NUL 2>&1
if ERRORLEVEL 1 (
  echo --------------------------------
  echo Can't find procdump: download from  https://technet.microsoft.com/en-gb/sysinternals/dd996900.aspx and
  echo put in the same directory as this script
  start https://technet.microsoft.com/en-gb/sysinternals/dd996900.aspx 
) else (

  echo --------------------------------
  echo Capturing crash dumps to %CRASHDIR%
  echo Now start Dorico

  rem Can Ignore 406D1388 exceptions as they are SetThreadName 
  procdump  -accepteula -n 20 -e 1  -w  Dorico4.exe "%CRASHDIR%" > %CRASHDIR%\dump.log 

  start %CRASHDIR%
)

pause